from tkinter import Tk, Label, Button, Radiobutton, IntVar, Toplevel

def AskMultiDialog(root, prompt, options):

    window = Toplevel(root)

    def quit_and_destroy():
        window.quit()
        window.destroy()

    if prompt:
        Label(window, text=prompt).grid(row=0, column=0)

    v = IntVar()

    for i, option in enumerate(options):
        Radiobutton(window, text=option, variable=v, value=i).grid(row=i+1, column=0)

    Button(window, text="Submit", command=quit_and_destroy).grid(row=len(options)+1, column=0)
    window.mainloop()

    return options[v.get()]
